bitel.billing.server.cerbercrypt.bean

## Class ChannelMappingManager

- java.lang.Object
- - bitel.billing.server.cerbercrypt.bean.ChannelMappingManager

- Deprecated.
  use ru.bitel.bgbilling.modules.cerbercrypt.server.bean.ChannelMappingManager

      @Deprecated
      public class ChannelMappingManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelMappingManager(java.sql.Connection con, int mid)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteChannelMappings(int channelID)` Deprecated.
    `void` | `deleteMapping(int id)` Deprecated.
    `ChannelMapping` | `findConflictMapping(ChannelMapping mapping)` Deprecated.
    `java.util.List<ChannelMapping>` | `getChannelMappingList(java.util.Calendar date)` Deprecated.
    `java.util.List<ChannelMapping>` | `getChannelMappingList(int channelID)` Deprecated.
    `ChannelMapping` | `getMappingById(int id)` Deprecated.
    `ChannelMapping` | `getMappingByID(int id)` Deprecated.
    `void` | `updateMapping(int id, ChannelMapping mapping)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelMappingManager

          public ChannelMappingManager(java.sql.Connection con,
                                       int mid)

      Deprecated.

  - ### Method Detail

    - #### updateMapping

          public void updateMapping(int id,
                                    ChannelMapping mapping)

      Deprecated.

    - #### getMappingById

          public ChannelMapping getMappingById(int id)

      Deprecated.

    - #### getMappingByID

          @Deprecated
          public ChannelMapping getMappingByID(int id)

      Deprecated.
      Использовать `getMappingById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### getChannelMappingList

          public java.util.List<ChannelMapping> getChannelMappingList(int channelID)

      Deprecated.

    - #### getChannelMappingList

          public java.util.List<ChannelMapping> getChannelMappingList(java.util.Calendar date)

      Deprecated.

    - #### deleteMapping

          public void deleteMapping(int id)

      Deprecated.

    - #### deleteChannelMappings

          public void deleteChannelMappings(int channelID)

      Deprecated.

    - #### findConflictMapping

          public ChannelMapping findConflictMapping(ChannelMapping mapping)

      Deprecated.